git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Guava upgrade?


Guava broke backwards compatibility again. Downstream uses (like
Cassandra-Java) have to do more than just bump a version of a dep, sadly.
Version 27.0 is out -
https://mvnrepository.com/artifact/com.google.guava/guava/27.0-jre

Can Cassandra upgrade Guava to latest, please?  Then downstream users of
Cassandra can upgrade too.

Perhaps also consider shading Guava if the usage is entirety a internal
concern.

I'd have raised a Jira ticket, but https://issues.apache.org/jira is pretty
much non-responsive for search and new issues.  I'd raise a ticket for that
too, but ...

- Paul